Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
sauce::internal::ApplyFunction< Parameters, Return_(*)()> Class Template Reference

## Public Types
typedef Return_ | Return
typedef Return_(* | Signature) ()
typedef Return_(* | Function) ()

## Public Member Functions
| ApplyFunction (Function function)
template<typename Passed >
Return | apply (Passed)
template<typename Passed >
void | observe (Passed)

## Static Public Member Functions
static int | arity ()

The documentation for this class was generated from the following file:

- sauce/internal/apply_variadic.h